summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobert Siebeck <gentoo.bugzilla.2012@r123.de>2018-09-18 10:36:45 +0200
committerMichał Górny <mgorny@gentoo.org>2018-09-19 23:30:41 +0200
commit91be8db001f1c36f5e448f8bccf21778eb139954 (patch)
treea383534a3824ae69a1f2fb5aad33e18823e7eec6 /net-im/signal-desktop-bin
parentx11-misc/xflux-gui: bump to version 1.1.10_p20180910 (diff)
downloadgentoo-91be8db001f1c36f5e448f8bccf21778eb139954.tar.gz
gentoo-91be8db001f1c36f5e448f8bccf21778eb139954.tar.bz2
gentoo-91be8db001f1c36f5e448f8bccf21778eb139954.zip
net-im/signal-desktop-bin: new version 1.16.1
Signed-off-by: Robert Siebeck <gentoo.bugzilla.2012@r123.de> Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'net-im/signal-desktop-bin')
-rw-r--r--net-im/signal-desktop-bin/Manifest1
-rw-r--r--net-im/signal-desktop-bin/signal-desktop-bin-1.16.1.ebuild62
2 files changed, 63 insertions, 0 deletions
diff --git a/net-im/signal-desktop-bin/Manifest b/net-im/signal-desktop-bin/Manifest
index 6a433add698..4aef7f2110b 100644
--- a/net-im/signal-desktop-bin/Manifest
+++ b/net-im/signal-desktop-bin/Manifest
@@ -1 +1,2 @@
DIST signal-desktop_1.16.0_amd64.deb 70095960 BLAKE2B 22ef2003a45429d05433ceccd0688232b6117bcfadeae29490352d8d949ca45759b4b5f9b9d29817739469d359220473c535652e7cea655ac995ee465a888fb0 SHA512 e18a1bc31b450077bbb48d8a87ee91cf0108f56e1168b71d01caaf39fa22ef79684509afeede66c9991ca03a8c637553bcc2e0c7544b30113dd3ca593bf6ca16
+DIST signal-desktop_1.16.1_amd64.deb 70133768 BLAKE2B b647b7ee63422650fc1807469acfce04d901e4bcc1e4157ba528227afbc55376efbf48ad12fd21e671c9630366ed65c781f508f9f704adad096141abe3ee4aa2 SHA512 8d26b71f5b4f7c2e003dbbb8c83ffd7dbce416a65456b4fec4d03023e526175a574a690f2fbe2d82d5fcb9273abc8be2e2f98711c0f845b68779fe8079b18ce5
diff --git a/net-im/signal-desktop-bin/signal-desktop-bin-1.16.1.ebuild b/net-im/signal-desktop-bin/signal-desktop-bin-1.16.1.ebuild
new file mode 100644
index 00000000000..66fde796fe7
--- /dev/null
+++ b/net-im/signal-desktop-bin/signal-desktop-bin-1.16.1.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+MY_PN="${PN/-bin/}"
+
+inherit gnome2-utils pax-utils unpacker xdg-utils
+
+DESCRIPTION="Allows you to send and receive messages of Signal Messenger on your computer"
+HOMEPAGE="https://signal.org/
+ https://github.com/WhisperSystems/Signal-Desktop"
+SRC_URI="https://updates.signal.org/desktop/apt/pool/main/s/${MY_PN}/${MY_PN}_${PV}_amd64.deb"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="-* ~amd64"
+IUSE=""
+
+RDEPEND="
+ gnome-base/gconf:2
+ dev-libs/nss
+ x11-libs/gtk+:3[X]
+ x11-libs/libXScrnSaver
+ x11-libs/libXtst
+ net-print/cups
+ "
+
+QA_PREBUILT="opt/Signal/signal-desktop
+ opt/Signal/libnode.so
+ opt/Signal/libffmpeg.so"
+
+S="${WORKDIR}"
+
+src_prepare(){
+ default
+ sed -e 's|\("/opt/Signal/signal-desktop"\)|\1 --start-in-tray|g' \
+ -i usr/share/applications/signal-desktop.desktop || die
+}
+
+src_install() {
+ insinto /
+ dodoc -r usr/share/doc/signal-desktop/.
+ doins -r opt
+ insinto /usr/share
+ doins -r usr/share/applications
+ doins -r usr/share/icons
+ fperms +x /opt/Signal/signal-desktop
+ pax-mark m opt/Signal/signal-desktop
+
+ dosym ../../opt/Signal/${MY_PN} /usr/bin/${MY_PN}
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ gnome2_icon_cache_update
+}